jdbm.helper

## Class WrappedRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jdbm.helper.WrappedRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IterationException

    public class WrappedRuntimeException
    extends RuntimeException

A run-time exception that wraps another exception. The printed stack trace will be that of the wrapped exception.

Author:
  Alex Boisvert
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WrappedRuntimeException(Exception except)` Constructs a new runtime exception based on a checked exception.
`WrappedRuntimeException(String message, Exception except)` Constructs a new runtime exception based on a checked exception.

### Method Summary

Methods
`Exception` `getException()` Returns the exception wrapped by this runtime exception.
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream stream)`
`void` `printStackTrace(PrintWriter writer)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedRuntimeException

    public WrappedRuntimeException(String message,
                           Exception except)

Constructs a new runtime exception based on a checked exception.

Parameters:
  `message` - The error message
  `except` - The checked exception

#### WrappedRuntimeException

    public WrappedRuntimeException(Exception except)

Constructs a new runtime exception based on a checked exception.

Parameters:
  `except` - The checked exception

### Method Detail

#### getException

    public Exception getException()

Returns the exception wrapped by this runtime exception.

Returns:
  The exception wrapped by this runtime exception

#### printStackTrace

    public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream stream)

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintWriter writer)

Overrides:
  `printStackTrace` in class `Throwable`